- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot1< P > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

## Public Member Functions
| Slot1 ()
| Slot1 (SlotBase *imp, void(*op)(SlotBase *, P))
| ~Slot1 ()
void | callback (P p)
| Slot1 (const Slot1< P > &other)
void | swap (Slot1< P > &rhs)
void | operator= (const Slot1< P > &rhs)
const SlotBase * | base () const

## Detailed Description

### template<typename P>
class G::Slot1< P >

Part of the slot/signal system.

Definition at line 192 of file gslot.h.

## Constructor & Destructor Documentation

template<typename P>

G::Slot1< P >::Slot1 | ( |  | ) |
| inline

Definition at line 198 of file gslot.h.

template<typename P>

G::Slot1< P >::Slot1 | ( | SlotBase * | imp,
|  | void(*)(SlotBase *, P) | op
| ) |  |
| inline

Definition at line 199 of file gslot.h.

template<typename P>

G::Slot1< P >::~Slot1 | ( |  | ) |
| inline

Definition at line 200 of file gslot.h.

template<typename P>

G::Slot1< P >::Slot1 | ( | const Slot1< P > & | other | ) |
| inline

Definition at line 202 of file gslot.h.

## Member Function Documentation

template<typename P>

const SlotBase* G::Slot1< P >::base | ( |  | ) | const
| inline

Definition at line 205 of file gslot.h.

Referenced by G::Signal1< bool >::connect().

template<typename P>

void G::Slot1< P >::callback | ( | P | p | ) |
| inline

Definition at line 201 of file gslot.h.

Referenced by G::Signal1< bool >::emit().

template<typename P>

void G::Slot1< P >::operator= | ( | const Slot1< P > & | rhs | ) |
| inline

Definition at line 204 of file gslot.h.

template<typename P>

void G::Slot1< P >::swap | ( | Slot1< P > & | rhs | ) |
| inline

Definition at line 203 of file gslot.h.

Referenced by G::Slot1< bool >::operator=().

The documentation for this class was generated from the following file:

- gslot.h